Runtime

## org.eclipse.gmf.runtime.common.ui.services.elementselection
Class ElementSelectionService.JobData

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.elementselection.ElementSelectionService.JobData

Enclosing class:
  ElementSelectionService

protected class ElementSelectionService.JobData
extends java.lang.Object

Field Summary
`IElementSelectionInput` `elementSelectionInput`
`IElementSelectionListener` `elementSelectionListener`
`java.util.HashMap` `jobs`

Constructor Summary
`protected` `ElementSelectionService.JobData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### elementSelectionInput

    public IElementSelectionInput elementSelectionInput

### elementSelectionListener

    public IElementSelectionListener elementSelectionListener

### jobs

    public java.util.HashMap jobs

Constructor Detail

### ElementSelectionService.JobData

    protected ElementSelectionService.JobData()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.